Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class Validate

    java.lang.Object
      com.beasys.commerce.util.Validate

Deprecated

    @Deprecated
    public class Validate

extends Object

Method Summary
`static boolean` | `isInRange(byte byteArg, byte lowerBound, byte higherBound)` Deprecated Checks whether the parameter passed in is within specified inclusive range.
`static boolean` | `isInRange(char charArg, char lowerBound, char higherBound)` Deprecated Checks whether the parameter passed in is within specified inclusive range.
`static boolean` | `isInRange(double doubleArg, double lowerBound, double higherBound)` Deprecated Checks whether the parameter passed in is within specified inclusive range.
`static boolean` | `isInRange(float floatArg, float lowerBound, float higherBound)` Deprecated Checks whether the parameter passed in is within specified inclusive range.
`static boolean` | `isInRange(int intArg, int lowerBound, int higherBound)` Deprecated Checks whether the parameter passed in is within specified inclusive range.
`static boolean` | `isInRange(long longArg, long lowerBound, long higherBound)` Deprecated Checks whether the parameter passed in is within specified inclusive range.
`static boolean` | `isInRange(short shortArg, short lowerBound, short higherBound)` Deprecated Checks whether the parameter passed in is within specified inclusive range.
`static boolean` | `isNotNull(Object param)` Deprecated Checks whether the parameter passed in is null.
`static boolean` | `isValid(Object param, Class paramType)` Deprecated Checks whether the parameter passed in is of the required type and is not null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isValid

    public static boolean isValid(Object param,
                                  Class paramType)

  Deprecated
  Checks whether the parameter passed in is of the required type and is not null.

  Parameters
    `param` - Paramerter to be checked for validity.
    `paramType` - Type the above parameter should be to pass the test.
  Returns
    true if parameter is of required type and not null

### isNotNull

    public static boolean isNotNull(Object param)

  Deprecated
  Checks whether the parameter passed in is null.

  Parameters
    `param` - Paramerter to be checked for nullness
  Returns
    false if parameter is null

### isInRange

    public static boolean isInRange(int intArg,
                                    int lowerBound,
                                    int higherBound)

  Deprecated
  Checks whether the parameter passed in is within specified inclusive range. (Overloaded for type int)

  Parameters
    `intArg` - Integer to be checked for range validity.
    `lowerBound` - Lower bound of the range.
    `higherBound` - Higher bound of the range.
  Returns
    false If intArg is out of range.

### isInRange

    public static boolean isInRange(float floatArg,
                                    float lowerBound,
                                    float higherBound)

  Deprecated
  Checks whether the parameter passed in is within specified inclusive range. (Overlaoded for type float)

  Parameters
    `floatArg` - Float to be checked for range validity.
    `lowerBound` - Lower bound of the range.
    `higherBound` - Higher bound of the range.
  Returns
    false If floatArg is out of range.

### isInRange

    public static boolean isInRange(double doubleArg,
                                    double lowerBound,
                                    double higherBound)

  Deprecated
  Checks whether the parameter passed in is within specified inclusive range. (Overlaoded for type double)

  Parameters
    `doubleArg` - Double to be checked for range validity.
    `lowerBound` - Lower bound of the range.
    `higherBound` - Higher bound of the range.
  Returns
    false If doubleArg is out of range.

### isInRange

    public static boolean isInRange(long longArg,
                                    long lowerBound,
                                    long higherBound)

  Deprecated
  Checks whether the parameter passed in is within specified inclusive range. (Overlaoded for type long)

  Parameters
    `longArg` - Long to be checked for range validity.
    `lowerBound` - Lower bound of the range.
    `higherBound` - Higher bound of the range.
  Returns
    false If longArg is out of range.

### isInRange

    public static boolean isInRange(short shortArg,
                                    short lowerBound,
                                    short higherBound)

  Deprecated
  Checks whether the parameter passed in is within specified inclusive range. (Overlaoded for type short)

  Parameters
    `shortArg` - Short to be checked for range validity.
    `lowerBound` - Lower bound of the range.
    `higherBound` - Higher bound of the range.
  Returns
    false If shortArg is out of range.

### isInRange

    public static boolean isInRange(byte byteArg,
                                    byte lowerBound,
                                    byte higherBound)

  Deprecated
  Checks whether the parameter passed in is within specified inclusive range. (Overlaoded for type byte)

  Parameters
    `byteArg` - Byte to be checked for range validity.
    `lowerBound` - Lower bound of the range.
    `higherBound` - Higher bound of the range.
  Returns
    false If byteArg is out of range.

### isInRange

    public static boolean isInRange(char charArg,
                                    char lowerBound,
                                    char higherBound)

  Deprecated
  Checks whether the parameter passed in is within specified inclusive range. (Overlaoded for type char)

  Parameters
    `charArg` - Char to be checked for range validity.
    `lowerBound` - Lower bound of the range.
    `higherBound` - Higher bound of the range.
  Returns
    false If charArg is out of range.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.